Skip to main content
POST
Void an invoice

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

lago_id
string<uuid>
required

Unique identifier assigned to the invoice within the Lago application. This ID is exclusively created by Lago and serves as a unique identifier for the invoice's record within the Lago system.

Example:

"1a901a90-1a90-1a90-1a90-1a901a901a90"

Body

application/json

Void invoice payload

Parameters available when voiding an invoice that optionally generate credit notes.

generate_credit_note
boolean

Set to true to force voiding the invoice and generate a credit note.

Example:

true

refund_amount
integer

Portion of the invoice amount (in cents) to be refunded to the customer in the generated credit note.

Required range: x >= 0
Example:

2000

credit_amount
integer

Portion of the invoice amount (in cents) to be credited to the customer's balance in the generated credit note.

Required range: x >= 0
Example:

1150

Response

Invoice voided

invoice
object
required